
Tony
====

Tony is a program for computer-aided melody annotation. It has a
graphical interface based on the Sonic Visualiser libraries, and uses
the pYIN Vamp plugin to extract pitch track and notes from monophonic
audio.

![Tony small screenshot](https://code.soundsoftware.ac.uk/attachments/download/1069/tony-screeny-20140328-30pc.png)

Home page and downloads: https://code.soundsoftware.ac.uk/projects/tony


Features
--------

 * robust monophonic pitch track extraction (using pYIN)
 * note track extraction
 * facility to manually adjust pitch track and note track
 * facility to audition pitch and note track
 * note pitch automatically snaps to pitch track
 * import/export of pitch track and note track


Authors, Citation, License and Use
----------------------------------

Tony was developed at Queen Mary, University of London in
collaboration with New York University.

Code copyright 2005-2019 Chris Cannam, Queen Mary University of
London, and the Tony project authors: Matthias Mauch, George Fazekas,
Justin Salamon, and Rachel Bittner, except where indicated in the
individual source files. Thanks also to Simon Dixon and Juan Bello.

If you make use of this software for any public or commercial purpose,
we ask you to kindly mention the authors and Queen Mary, University of
London in your user-visible documentation. We're very happy to see
this sort of use but would much appreciate being credited, separately
from the requirements of the software license itself (see below).

If you make use of this software for academic purposes, please cite
one of the publications indicated on the Publications page:
https://code.soundsoftware.ac.uk/publications?project_id=tony

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A ARTICULAR PURPOSE. See the GNU
General Public License for more details. You should have received a
copy of the GNU General Public License along with this program. If
not, see http://www.gnu.org/licenses/.


Automated build reports
-----------------------

 * Linux and macOS CI build: [![Build Status](https://travis-ci.org/sonic-visualiser/tony.svg?branch=master)](https://travis-ci.org/sonic-visualiser/tony)
 * Windows CI build: [![Build status](https://ci.appveyor.com/api/projects/status/26pygienkigw39p7?svg=true)](https://ci.appveyor.com/project/cannam/tony)
